package com.jcg;

import org.apache.camel.AsyncCallback;
import org.apache.camel.Exchange;
import org.apache.camel.processor.loadbalancer.LoadBalancerSupport;

public class SessionChecker extends LoadBalancerSupport{

	@Override
	public boolean process(Exchange exchange, AsyncCallback callback) {
		
		int id = exchange.getIn().getHeader("sessionID", Integer.class);
		try{
			if(id%2 == 0){
				getProcessors().get(0).process(exchange);
			} else{
				getProcessors().get(1).process(exchange);
			}
		}catch(Exception e){
			e.printStackTrace();
		}
		callback.done(true);
		return true;
	}
}
