package com.jcg;

import org.apache.camel.EndpointInject;
import org.apache.camel.builder.RouteBuilder;
import org.apache.camel.component.mock.MockEndpoint;
import org.apache.camel.test.junit4.CamelTestSupport;
import org.junit.Test;

public class TestLoadBalancer extends CamelTestSupport{
	@EndpointInject(uri="mock:m1")
	MockEndpoint m;
	
	@Override
	protected RouteBuilder createRouteBuilder() throws Exception{
		return new RouteBuilder(){
			@Override
			public void configure() throws Exception {
				from("direct:start").to(m);
			}
			
		};
	}
	
	@Test
	public void testSending() throws Exception{
		m.expectedMessageCount(1);
		template.sendBody("direct:start", "boooody");
		m.assertIsSatisfied();
	}
	
}
